/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forum.control;

import forum.facades.UserBean;
import forum.model.ForumUser;
import javax.ejb.EJB;
import javax.faces.application.FacesMessage;
import javax.faces.bean.*;
import javax.faces.context.FacesContext;

/**
 *
 * @author rosmord
 */
@ManagedBean(name = "login")
@RequestScoped
public class LoginControl {

    private String login;
    private String password;
    @EJB
    UserBean userBean;

    public String doLogin() {
        System.err.println("here ???");
        FacesContext ctx = FacesContext.getCurrentInstance();
        ForumUser u = userBean.doLogin(login, password);
        if (u != null) {
            ctx.getExternalContext().getSessionMap().put("user", u);
            ctx.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, "login ok", "login ok"));
            return "logged";
        } else {
            ctx.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, "login incorrect", "login incorrect"));
            return "login";
        }
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String doLogout() {
        FacesContext ctx = FacesContext.getCurrentInstance();
        ctx.getExternalContext().getSessionMap().remove("user");
        ctx.addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, "Logged out", "(disconnected)"));
        return null;
    }
}
