/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forum.facades;

import forum.model.ForumUser;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author rosmord
 */
@Stateless
public class UserBean {
    @PersistenceContext
    EntityManager em;

    /**
     * Returns user information, if user login and password are correct.
     *
     * @param login
     * @param password
     * @return a user, or null if login and password don't match.
     */
    public ForumUser doLogin(String login, String password) {
        List<ForumUser> l = em.
                createQuery("select u from ForumUser u where u.login = :login").
                setParameter("login", login).getResultList();
        if (l.size() == 1 && password.equals(l.get(0).getPassword())) {            
            return l.get(0);
        } else {
            return null;
        }
    }
    
    
    
    
}
