/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forum.control;

import forum.facades.ForumBean;
import forum.model.*;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

/**
 *
 * @author rosmord
 */
@ManagedBean(name="message")
@RequestScoped
public class MessageControl {

    private Long messageId;
    
    private Message messageDTO= new Message();
    
    @EJB
    private ForumBean forumBean;

    public String addMessage() {
        ForumUser user = ForumHelper.getUser();
        if (user != null) {
            Message newMessage = new Message();
            newMessage.setTitle(messageDTO.getTitle());
            newMessage.setText(messageDTO.getText());
            newMessage.setAuthor(user);
            messageId= forumBean.addMessage(newMessage).getId();
            return "view";
        } else {
            return null;
        }
    }

    
    
    public Message getMessage() {
        return messageDTO;
    }

    public Long getMessageId() {
        return messageId;
    }

    public void setMessageId(Long messageId) {
        this.messageId = messageId;
    }
    
    
}
