/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forum.control;

import forum.facades.ForumBean;
import forum.model.Message;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ManagedProperty;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;

/**
 *
 * @author rosmord
 */
@ManagedBean
@RequestScoped
public class MessageViewControl {

    @EJB
    ForumBean forumBean;
    
    
    // The following line states that the property is injected from 
    // the request. Only for request beans
    
    // Other way :
    //  <f:metadata>
    //    <f:viewParam name="messageId" value="#{messageViewControl.messageId}" />
    // </f:metadata>
    @ManagedProperty(value="#{param.messageId}")
    private Long messageId;
    
    private Message message;

    public Message getMessage() {
        return message;
    }

    public Long getMessageId() {
        return messageId;
    }

    public void setMessageId(Long messageId) {
        System.err.println("Getting message ID "+ messageId);
        this.messageId = messageId;
        message = forumBean.getMessage(messageId);
    }
}
