/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forum.facades;

import forum.control.MessageList;
import forum.model.Message;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 *
 * @author rosmord
 */
@Stateless
public class ForumBean {
    @PersistenceContext
    EntityManager em;

    /**
     * saves a message in the database.
     * @param newMessage
     * @return the saved message (with an Id, for example).
     */
    public Message addMessage(Message newMessage) {
        em.persist(newMessage);
        return newMessage;
    }

    public Message getMessage(Long id) {
        return em.find(Message.class, id);
    }

    public List<MessageList> getAllMessages() {
        return em.createQuery("select m from Message m").getResultList();
    }
    
}
