/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package forum.model;

import java.io.Serializable;
import java.util.List;
import javax.persistence.Basic;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 *
 * @author rosmord
 */
@Entity
public class ForumUser implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 255)
    private String login;

    @Size(max = 255)
    private String password;
    
    public ForumUser() {
    }

    public ForumUser(String login) {
        this.login = login;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

        
    @Override
    public String toString() {
        return "forum.model.Forumuser[ login=" + login + " ]";
    }
    
}
